Subject: Re: stmmac/RTL8211F/Meson GXBB: TX throughput problems

From: Jerome Brunet <[email-masked]>
Date: Tue, 15 Nov 2016 12:27:56 +0100

On Mon, 2016-11-14 at 16:00 +0100, Andreas Färber wrote:
> Hi,
> 
> Am 07.11.2016 um 18:37 schrieb Martin Blumenstingl:
> > 
> > The same problem still appears on my Tronsmart Vega S95 Meta even
> > with
> > the patched PHY driver.
> > 
> > Unfortunately I don't have a second device to rule out that my
> > Tronsmart Vega S95 Meta could be broken (not unlikely, I get DDR
> > errors from time to time in u-boot). Maybe Andreas Faerber can test
> > ethernet with and without Jerome's patch on one of his Tronsmart
> > devices.
> 
> So far I only ran into the stall issue on my Odroid-C2, not on my
> Vega
> S95 Telos, both on v4.10/integ branch with a rebased MMC patch of
> yours
> on top.

The status of vega/mxq boards seems a bit confused.
This is the status I have so far:
These designs are not affected by the EEE issue. The patch mentioned
has no effect on these boards.
Some boards run fine at GBit speed (like yours) , some have terrible Tx
throughput (like mine and Martin's one). However, unlike on the
odroidc2, the link is not broken after the test, it is not necessary to
ifdown/ifup the interface to do another test.

I'm wondering if the vega/mxq designs all use the rtl8211f phy ?

> 
> I'm assuming you mean realtek8211f-disable-eee-1000.patch from Nov 3.
> 

Indeed. I won't submit anything for the vega since it has no effect.

> Regards,
> Andreas